
_init_lpfilter:

;LPFilter.c,41 :: 		void init_lpfilter(void)
;LPFilter.c,43 :: 		filter_reg = 0;
	CLRF        _filter_reg+0 
	CLRF        _filter_reg+1 
	CLRF        _filter_reg+2 
	CLRF        _filter_reg+3 
;LPFilter.c,44 :: 		filter_output = 0;
	CLRF        _filter_output+0 
	CLRF        _filter_output+1 
	CLRF        _filter_output+2 
	CLRF        _filter_output+3 
;LPFilter.c,45 :: 		}
L_end_init_lpfilter:
	RETURN      0
; end of _init_lpfilter

_seed_filter:

;LPFilter.c,54 :: 		void seed_filter(unsigned long seed)
;LPFilter.c,56 :: 		asm nop;
	NOP
;LPFilter.c,57 :: 		filter_output = seed;
	MOVF        FARG_seed_filter_seed+0, 0 
	MOVWF       _filter_output+0 
	MOVF        FARG_seed_filter_seed+1, 0 
	MOVWF       _filter_output+1 
	MOVF        FARG_seed_filter_seed+2, 0 
	MOVWF       _filter_output+2 
	MOVF        FARG_seed_filter_seed+3, 0 
	MOVWF       _filter_output+3 
;LPFilter.c,58 :: 		asm nop;
	NOP
;LPFilter.c,59 :: 		}
L_end_seed_filter:
	RETURN      0
; end of _seed_filter

_add_filter_value:

;LPFilter.c,67 :: 		void add_filter_value(unsigned long int value)
;LPFilter.c,69 :: 		temp = filter_reg >> FILTER_SHIFT;
	MOVF        _filter_reg+1, 0 
	MOVWF       _temp+0 
	MOVF        _filter_reg+2, 0 
	MOVWF       _temp+1 
	MOVF        _filter_reg+3, 0 
	MOVWF       _temp+2 
	CLRF        _temp+3 
;LPFilter.c,70 :: 		asm nop;
	NOP
;LPFilter.c,71 :: 		temp = filter_reg - temp;
	MOVF        _filter_reg+0, 0 
	MOVWF       R0 
	MOVF        _filter_reg+1, 0 
	MOVWF       R1 
	MOVF        _filter_reg+2, 0 
	MOVWF       R2 
	MOVF        _filter_reg+3, 0 
	MOVWF       R3 
	MOVF        _temp+0, 0 
	SUBWF       R0, 1 
	MOVF        _temp+1, 0 
	SUBWFB      R1, 1 
	MOVF        _temp+2, 0 
	SUBWFB      R2, 1 
	MOVF        _temp+3, 0 
	SUBWFB      R3, 1 
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;LPFilter.c,72 :: 		asm nop;
	NOP
;LPFilter.c,73 :: 		temp = temp + value;
	MOVF        FARG_add_filter_value_value+0, 0 
	ADDWF       _temp+0, 1 
	MOVF        FARG_add_filter_value_value+1, 0 
	ADDWFC      _temp+1, 1 
	MOVF        FARG_add_filter_value_value+2, 0 
	ADDWFC      _temp+2, 1 
	MOVF        FARG_add_filter_value_value+3, 0 
	ADDWFC      _temp+3, 1 
;LPFilter.c,74 :: 		asm nop;
	NOP
;LPFilter.c,75 :: 		filter_reg = temp;
	MOVF        _temp+0, 0 
	MOVWF       _filter_reg+0 
	MOVF        _temp+1, 0 
	MOVWF       _filter_reg+1 
	MOVF        _temp+2, 0 
	MOVWF       _filter_reg+2 
	MOVF        _temp+3, 0 
	MOVWF       _filter_reg+3 
;LPFilter.c,76 :: 		asm nop;
	NOP
;LPFilter.c,77 :: 		filter_output = filter_reg >> FILTER_SHIFT;
	MOVF        _filter_reg+1, 0 
	MOVWF       R0 
	MOVF        _filter_reg+2, 0 
	MOVWF       R1 
	MOVF        _filter_reg+3, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       _filter_output+0 
	MOVF        R1, 0 
	MOVWF       _filter_output+1 
	MOVF        R2, 0 
	MOVWF       _filter_output+2 
	MOVF        R3, 0 
	MOVWF       _filter_output+3 
;LPFilter.c,78 :: 		asm nop;
	NOP
;LPFilter.c,79 :: 		asm nop;
	NOP
;LPFilter.c,80 :: 		}
L_end_add_filter_value:
	RETURN      0
; end of _add_filter_value

_get_filter_value:

;LPFilter.c,85 :: 		unsigned long int get_filter_value (void)
;LPFilter.c,87 :: 		asm nop;
	NOP
;LPFilter.c,88 :: 		return filter_output;
	MOVF        _filter_output+0, 0 
	MOVWF       R0 
	MOVF        _filter_output+1, 0 
	MOVWF       R1 
	MOVF        _filter_output+2, 0 
	MOVWF       R2 
	MOVF        _filter_output+3, 0 
	MOVWF       R3 
;LPFilter.c,89 :: 		}
L_end_get_filter_value:
	RETURN      0
; end of _get_filter_value
