#line 1 "C:/Program Files/Mikroelektronika/Package Manager/Examples/Building Blocks/LPFILTER/MyProject.c"
#line 1 "c:/program files/mikroelektronika/package manager/examples/building blocks/lpfilter/lpfilter.h"
#line 6 "c:/program files/mikroelektronika/package manager/examples/building blocks/lpfilter/lpfilter.h"
extern void init_lpfilter(void);
extern void add_filter_value(unsigned long int);
extern unsigned long int get_filter_value (void);
extern void seed_filter(unsigned long);
#line 11 "C:/Program Files/Mikroelektronika/Package Manager/Examples/Building Blocks/LPFILTER/MyProject.c"
int adc_filtered;
int adc_now;
float volts_now;
float volts_filtered;
#line 26 "C:/Program Files/Mikroelektronika/Package Manager/Examples/Building Blocks/LPFILTER/MyProject.c"
void PrintHandler(char c)
{
 UART1_Write(c);
}
#line 37 "C:/Program Files/Mikroelektronika/Package Manager/Examples/Building Blocks/LPFILTER/MyProject.c"
void main()
{

 CMCON |= 7;
 INTCON2.B7 = 0;
 UART1_Init(57600);
 init_lpfilter();
 ADC_Init();
 UART1_Write_Text("LPFILTER DEMO\r\n");
 Delay_ms(1000);


 while(1)
 {
 adc_now = ADC_Read(3);
 add_filter_value(adc_now);
 adc_filtered = get_filter_value();
 asm nop;
 asm nop;

 volts_now = (float)adc_now * 0.0048828125;
 volts_filtered = (float)adc_filtered * 0.0048828125;
 asm nop;
 asm nop;

 PrintOut(PrintHandler, "VOLTS NOW:  %1.4f   VOLTS FILTERED:  %1.4f\r",volts_now,volts_filtered);
 asm nop;
 asm nop;
 Delay_ms(10);
 }
}
