
_PrintHandler:

;MyProject.c,26 :: 		void PrintHandler(char c)
;MyProject.c,28 :: 		UART1_Write(c);
	MOVF        FARG_PrintHandler_c+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;MyProject.c,29 :: 		}
L_end_PrintHandler:
	RETURN      0
; end of _PrintHandler

_main:

;MyProject.c,37 :: 		void main()
;MyProject.c,40 :: 		CMCON  |= 7;         // Disable comparators
	MOVLW       7
	IORWF       CMCON+0, 1 
;MyProject.c,41 :: 		INTCON2.B7 = 0;      // enable pullups on port b
	BCF         INTCON2+0, 7 
;MyProject.c,42 :: 		UART1_Init(57600);  // Initialize
	MOVLW       42
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;MyProject.c,43 :: 		init_lpfilter();
	CALL        _init_lpfilter+0, 0
;MyProject.c,44 :: 		ADC_Init();          // init ADC
	CALL        _ADC_Init+0, 0
;MyProject.c,45 :: 		UART1_Write_Text("LPFILTER DEMO\r\n");
	MOVLW       ?lstr1_MyProject+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_MyProject+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;MyProject.c,46 :: 		Delay_ms(1000);
	MOVLW       51
	MOVWF       R11, 0
	MOVLW       187
	MOVWF       R12, 0
	MOVLW       223
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
	NOP
;MyProject.c,49 :: 		while(1)
L_main1:
;MyProject.c,51 :: 		adc_now = ADC_Read(3);              // read adc counts
	MOVLW       3
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_now+0 
	MOVF        R1, 0 
	MOVWF       _adc_now+1 
;MyProject.c,52 :: 		add_filter_value(adc_now);          // add to LPFilter
	MOVF        R0, 0 
	MOVWF       FARG_add_filter_value+0 
	MOVF        R1, 0 
	MOVWF       FARG_add_filter_value+1 
	MOVLW       0
	BTFSC       R1, 7 
	MOVLW       255
	MOVWF       FARG_add_filter_value+2 
	MOVWF       FARG_add_filter_value+3 
	CALL        _add_filter_value+0, 0
;MyProject.c,53 :: 		adc_filtered = get_filter_value();  // get filtered value counts
	CALL        _get_filter_value+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_filtered+0 
	MOVF        R1, 0 
	MOVWF       _adc_filtered+1 
;MyProject.c,54 :: 		asm nop;
	NOP
;MyProject.c,55 :: 		asm nop;
	NOP
;MyProject.c,57 :: 		volts_now = (float)adc_now * 0.0048828125;
	MOVF        _adc_now+0, 0 
	MOVWF       R0 
	MOVF        _adc_now+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       119
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _volts_now+0 
	MOVF        R1, 0 
	MOVWF       _volts_now+1 
	MOVF        R2, 0 
	MOVWF       _volts_now+2 
	MOVF        R3, 0 
	MOVWF       _volts_now+3 
;MyProject.c,58 :: 		volts_filtered = (float)adc_filtered * 0.0048828125;
	MOVF        _adc_filtered+0, 0 
	MOVWF       R0 
	MOVF        _adc_filtered+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       119
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _volts_filtered+0 
	MOVF        R1, 0 
	MOVWF       _volts_filtered+1 
	MOVF        R2, 0 
	MOVWF       _volts_filtered+2 
	MOVF        R3, 0 
	MOVWF       _volts_filtered+3 
;MyProject.c,59 :: 		asm nop;
	NOP
;MyProject.c,60 :: 		asm nop;
	NOP
;MyProject.c,62 :: 		PrintOut(PrintHandler, "VOLTS NOW:  %1.4f   VOLTS FILTERED:  %1.4f\r",volts_now,volts_filtered);
	MOVLW       _PrintHandler+0
	MOVWF       FARG_PrintOut_prntoutfunc+0 
	MOVLW       hi_addr(_PrintHandler+0)
	MOVWF       FARG_PrintOut_prntoutfunc+1 
	MOVLW       FARG_PrintHandler_c+0
	MOVWF       FARG_PrintOut_prntoutfunc+2 
	MOVLW       hi_addr(FARG_PrintHandler_c+0)
	MOVWF       FARG_PrintOut_prntoutfunc+3 
	MOVLW       ?lstr_2_MyProject+0
	MOVWF       FARG_PrintOut_f+0 
	MOVLW       hi_addr(?lstr_2_MyProject+0)
	MOVWF       FARG_PrintOut_f+1 
	MOVLW       higher_addr(?lstr_2_MyProject+0)
	MOVWF       FARG_PrintOut_f+2 
	MOVF        _volts_now+0, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+7 
	MOVF        _volts_now+1, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+8 
	MOVF        _volts_now+2, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+9 
	MOVF        _volts_now+3, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+10 
	MOVF        _volts_filtered+0, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+11 
	MOVF        _volts_filtered+1, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+12 
	MOVF        _volts_filtered+2, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+13 
	MOVF        _volts_filtered+3, 0 
	MOVWF       FARG_PrintOut_prntoutfunc+14 
	CALL        _PrintOut+0, 0
;MyProject.c,63 :: 		asm nop;
	NOP
;MyProject.c,64 :: 		asm nop;
	NOP
;MyProject.c,65 :: 		Delay_ms(10);
	MOVLW       130
	MOVWF       R12, 0
	MOVLW       221
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	NOP
	NOP
;MyProject.c,66 :: 		}
	GOTO        L_main1
;MyProject.c,67 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
